# Method Calendar.Event.Day_Event()->scan_jd()

Method scan_jd

  ``int` scan_jd(`Calendar.Calendar` `realm`, `int` `jd`, `int(-1..-1)`|`int(1..1)` `direction`)`

Description

  This method has to be defined, and is what really does some work.

Parameter `direction`

  ``1`` | Forward (next),
  ``-1`` | Backward (previous).

Returns

  It should return the next or previous julian day (>jd) when the event occurs, or the constant NODAY if it doesn't.